%% GeneratorRGB 函数的使用
% https://blog.csdn.net/K1052176873/article/details/130762413
rgb_generator = GeneratorRGB(wavelengths);

% 显示CIE XYZ色匹配函数曲线
rgb_generator.show_weights_curve();
%%
% 创建GeneratorRGB对象
rgb_generator = GeneratorRGB(FWHM_VNIR(:,1));

% 显示CIE XYZ色匹配函数曲线
rgb_generator.show_weights_curve();  % 绘制色匹配曲线
%%
rgb_img = rgb_generator.get_rgb(rho_vnir, 'true');
image(rgb_img)